import { ComponentID } from '@teambit/component';
export declare type DependencyType = {
    id: string;
    lifecycle: string;
    packageName: string | null;
    version: string;
    __typename: string;
};
declare type CodeResults = {
    getHost: {
        id: string;
        get: {
            fs?: string[];
            mainFile?: string;
            dependencies: DependencyType[];
            devFiles: string[];
        };
    };
};
export declare function useCode(componentId?: ComponentID): {
    client: import("@apollo/client").ApolloClient<any>;
    observable: import("@apollo/client").ObservableQuery<CodeResults, import("@apollo/client").OperationVariables>;
    previousData?: CodeResults;
    error?: import("@apollo/client").ApolloError;
    loading: boolean;
    networkStatus: import("@apollo/client").NetworkStatus;
    called: boolean;
    variables: import("@apollo/client").OperationVariables;
    startPolling: (pollInterval: number) => void;
    stopPolling: () => void;
    subscribeToMore: <TSubscriptionData = CodeResults, TSubscriptionVariables = import("@apollo/client").OperationVariables>(options: import("@apollo/client").SubscribeToMoreOptions<CodeResults, TSubscriptionVariables, TSubscriptionData>) => () => void;
    updateQuery: <TVars = import("@apollo/client").OperationVariables>(mapFn: (previousQueryResult: CodeResults, options: Pick<import("@apollo/client").WatchQueryOptions<TVars, CodeResults>, "variables">) => CodeResults) => void;
    refetch: (variables?: Partial<import("@apollo/client").OperationVariables>) => Promise<import("@apollo/client").ApolloQueryResult<CodeResults>>;
    reobserve: (newOptions?: Partial<import("@apollo/client").WatchQueryOptions<import("@apollo/client").OperationVariables, CodeResults>>, newNetworkStatus?: import("@apollo/client").NetworkStatus) => Promise<import("@apollo/client").ApolloQueryResult<CodeResults>>;
    fetchMore: <TFetchData = CodeResults, TFetchVars = import("@apollo/client").OperationVariables>(fetchMoreOptions: import("@apollo/client").FetchMoreQueryOptions<TFetchVars, TFetchData> & {
        updateQuery?: (previousQueryResult: CodeResults, options: {
            fetchMoreResult: TFetchData;
            variables: TFetchVars;
        }) => CodeResults;
    }) => Promise<import("@apollo/client").ApolloQueryResult<TFetchData>>;
    fileTree: string[];
    mainFile: string;
    dependencies: DependencyType[];
    devFiles: string[];
};
export {};
